﻿using System.ComponentModel;

using DevExpress.XtraBars.Ribbon;

namespace TestProject
{
    /// <summary>
    /// 커스텀 갤러리 컨트롤
    /// </summary>
    [ToolboxItem(true)]
    public class CustomGalleryControl : GalleryControl
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 포커스 허용 여부 - AllowFocus

        /// <summary>
        /// 포커스 허용 여부
        /// </summary>
        protected override bool AllowFocus
        {
            get
            {
                return false;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomGalleryControl()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomGalleryControl()
        {
        }

        #endregion
    }
}